<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Game extends Model
{
    use HasFactory;

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'host_id',
        'opponent_id',
        'status',
    ];

    protected $appends = [
        'board',
    ];

    public function getBoardAttribute()
    {
        // TODO: Implement
    }

    public function moves()
    {
        return $this->hasMany(Move::class);
    }
}
